=head1 NAME

B<chtab> - Add, delete or update rows in the database tables.

=head1 SYNOPSIS

I<chtab [-h| --help]>

I<chtab [-v| --version]>

I<chtab [keycolname=keyvalue] [tablename.colname=newvalue] >

I<chtab -d [keycolname=keyvalue] [tablename.colname=newvalue] >

=head1 DESCRIPTION

 The chtab command adds or deletes or updates the attribute value in the input table.column for the input keyvalue.


=head1 OPTIONS


B<-h>          Display usage message.

B<-v>          Command Version.

B<-d>          Delete option.



=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To add a node=node1 to the nodelist table with groups=all:

I<chtab  node=node1 nodelist.groups=all >

2. To add a keyword (tftpdir) and value (/tftpboot) to the site table:

I<chtab  key=tftpdir site.value=/tftpboot >


3. To add node1 to the  nodetype table with os=rhel5:

I<chtab  node=node1 nodetype.os=rhel5>


4. To change node1 in nodetype table setting os=sles:

I<chtab  node=node1 nodetype.os=sles>

5. To delete node1 from nodetype table:

I<chtab -d node=node1 nodetype>


=head1 FILES

/opt/xcat/bin/chtab


=head1 SEE ALSO

L<tabdump(8)|tabdump.8>, L<tabedit(8)|tabedit.8>